Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 883949 - chinese language locale mismatch in config/locales/zh-CN.yml
Summary: chinese language locale mismatch in config/locales/zh-CN.yml
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Subscription Asset Manager
Classification: Retired
Component: katello
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Tom McKay
QA Contact: sthirugn@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: sam13-tracker
TreeView+ depends on / blocked
 
Reported: 2012-12-05 16:02 UTC by Tom McKay
Modified: 2013-10-01 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-01 10:54:17 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2013:1390 0 normal SHIPPED_LIVE Release 1.3 of Subscription Asset Manager 2013-10-01 14:43:14 UTC

Description Tom McKay 2012-12-05 16:02:48 UTC
Description of problem:

An update to the i18n gems causes an error when formatting time

translation missing: zh-CN.time.formats.default (I18n::MissingTranslationData)

Comment 1 Tom McKay 2012-12-05 18:20:20 UTC
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: 3e3d9209400f0350043255d678e4975e8613dfbe
      https://github.com/Katello/katello/commit/3e3d9209400f0350043255d678e4975e8613dfbe
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-12-05 (Wed, 05 Dec 2012)

Comment 2 Tom McKay 2012-12-05 18:20:47 UTC
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: b446bac9887c42bee22e1166c8a59d26beee1a0c
      https://github.com/Katello/katello/commit/b446bac9887c42bee22e1166c8a59d26beee1a0c
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-12-05 (Wed, 05 Dec 2012)

Portuguese too

Comment 3 sthirugn@redhat.com 2013-01-08 21:41:18 UTC
Retested in the below version.  There are no UI errors or errors in the logs.  But I see that the .yml changes shown in the recent two comments are not reflecting yet.

Example:
/usr/share/katello/config/locales/zh-CN.yml
Here, look at the line 
zh_CN:
It is supposed to have changed to zh-CN as per the comments in this Bug. But it is not.

Comment 4 sthirugn@redhat.com 2013-01-08 21:49:31 UTC
Rested in version: 
* candlepin-0.7.23-1.el6_3.noarch
* candlepin-tomcat6-0.7.23-1.el6_3.noarch
* elasticsearch-0.19.9-5.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.2.1-1h.el6_3.noarch
* katello-cli-1.2.1-11h.el6_3.noarch
* katello-cli-common-1.2.1-11h.el6_3.noarch
* katello-common-1.2.1-12h.el6_3.noarch
* katello-configure-1.2.3-1h.el6_3.noarch
* katello-glue-candlepin-1.2.1-12h.el6_3.noarc
* katello-headpin-1.2.1-12h.el6_3.noarch
* katello-headpin-all-1.2.1-12h.el6_3.noarch
* katello-selinux-1.2.1-2h.el6_3.noarch
* thumbslug-0.0.28-1.el6_3.noarch
* thumbslug-selinux-0.0.28-1.el6_3.noarch

Comment 6 Bryan Kearney 2013-08-28 16:57:40 UTC
1.4.3-11-sat has the latest strings, so these bugs shuld be fixed.

Comment 7 sthirugn@redhat.com 2013-08-30 04:55:58 UTC
Retested and failed. See below - pt-PT.yml file is missing in install.


commit - https://github.com/Katello/katello/commit/3e3d9209400f0350043255d678e4975e8613dfbe and the following files look good

Verified - src/config/locales/zh-CN.yml
Verified - src/config/locales/zh-TW.yml



commit - https://github.com/Katello/katello/commit/b446bac9887c42bee22e1166c8a59d26beee1a0c

Verfied - src/config/locales/pt-BR.yml
Failed  - src/config/locales/pt-PT.yml  (File not found)



Version Tested:
* candlepin-0.8.24-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.24-1.el6sam.noarch
* candlepin-tomcat6-0.8.24-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.2-2.el6sat.noarch
* katello-cli-1.4.3-9.el6sat.noarch
* katello-cli-common-1.4.3-9.el6sat.noarch
* katello-common-1.4.3-11.el6sam_splice.noarch
* katello-configure-1.4.4-3.el6sat.noarch
* katello-glue-candlepin-1.4.3-11.el6sam_splice.noarch
* katello-glue-elasticsearch-1.4.3-11.el6sam_splice.noarch
* katello-headpin-1.4.3-11.el6sam_splice.noarch
* katello-headpin-all-1.4.3-11.el6sam_splice.noarch
* katello-selinux-1.4.4-2.el6sat.noarch
* thumbslug-0.0.32-1.el6sam.noarch
* thumbslug-selinux-0.0.32-1.el6sam.noarch

Comment 8 sthirugn@redhat.com 2013-08-30 18:15:27 UTC
As per Bryan Kearney, the issue I noted in Comment 7 is okay.  Marking the bug VERIFIED.

Comment 10 errata-xmlrpc 2013-10-01 10:54:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1390.html


Note You need to log in before you can comment on or make changes to this bug.